const
	; How often should the timer function run in multiples of 0.1 seconds
	TIMERFREQ = 10,
	; Constant used to eliminate deadlock
	DEADLOCK = 1000,
	MAXNOMARKERSANDTRACKS = 100,
	; How long should flash messages be shown 
	BRAILLEMESSAGEDURATION = 4000,
	; Constants to use with the SendMessage function
	WM_SIZE = 5,
	WM_CLOSE = 16,
	WM_SYSCOMMAND = 274,
	WM_COMMAND = 273,
	SC_MAXIMIZE = 61488,
	SC_RESTORE = 61728,
	SIZE_RESTORED = 0,
	MENU_VERTICAL = 29832,
	; Track list in Sound Forge 10
	MENU_TRACKSLIST_FORGE100 = 30003,
	; Track list in Sound Forge 11
	MENU_TRACKSLIST_FORGE110 = 30004,
	; Markers and regions list
	MENU_MARKERSLIST_FORGE90 = 29982,
	MENU_MARKERSLIST_FORGE100 = 30001,
	MENU_MARKERSLIST_FORGE110 = 30002,


	; Constants for the different modes in the data window
	TIME = 1,
	PEAK = 2,
	MARKERS = 3,
	TRACKS = 4,
	CHANNELS = 5,

	; Window class for the data window 
	csDataWndClass = "FgMDIChildData",
	; This window contains drawn buttons, individual buttons do not have their own windows
	csForgeButtonsClass = "UFTB.CLASS",
	; Sound forge spread class
	csSFSpread = "SfKrn_Spread_Class",
	; The window class of the peak meters in the record dialog
	csSF90RecordPeakWndClass = "Forge9.Class.RecordMeters", 
	csSF10RecordPeakWndClass = "Forge10.Class.RecordMeters",
	; Tabs in the plugin chainer
	csPluginChainerTabs = "SfKrn_TabControl_Class",
	; Class of some dialogs
	csSF90DialogClass = "Forge9.Class.Doc",
	csSF10DialogClass = "Forge10.Class.Doc",


	; Screen constants
	; These needs to be written exactly as they occurs on the screen
	; Shown in the last line when peak values has been processed when opening a file
	scProcessing = "Processing",
	; Shown in the last line of the data window
	scRate = "Rate:",
	; The window title of the markers and regions list window
	scMarkersAndRegionsListTitle = "Regions List",
	; The header of the markers and regions list without blanks
	scMarkersAndRegionsListHeader = "NameStartEndLength",
	; The window title of the track list window
	scTrackListTitle = "Track List",
	; The window title of the file properties list in SF 10
	scFilePropertiesTitle = "File Properties",
	; The window title of the peak window
	csPeakWndTitle = "Channel Meters",
	; Shown in the status bar describing no of channels
	scMono = "Mono",
	scStereo = " Stereo",

	; The tabs in the record dialog
	scMetersTab = "Meters",
	scAdvancedTab = "Advanced",
	; The title of the record dialog
	scRecordDlg = "Record",
	; Shown in the record dialog when recording
	scRecording = "Recording",
	; The title of the Normalize dialog
	scNormalizeTitle = "Normalize",

	; Control ID's
	; The window that holds the record and play buttons in the record dialog
	ciRecButtonsCID = 29883,
	; The window that get focus when pressing Alt+R in the record dialog
	ciRecStatusCID = 29885,

	; The tabs in the record dialog
	ciRecMetersTabCID = 4113,
	ciRecAdvancedTabCID = 4113,
	; Some other controls in the record dialog
	ciNewCID = 4010,
	ciPreRecordCID = 4025,
	ciMonitorCID = 4023,
	ciWindowCID = 4021,
	ciSF90CloseCID = 1,
	ciSF10CloseCID = 4093,
	ciCalibrateCID = 4004,
	ciResetCID = 4009,
	ciRecordingTextCID = 4087,
	ciRecStartCID = 4038,
	ciRecordingTime = 4089,

	; Scan level button in the Noise Reduction dialog
	ciScanLevelCID = 204,
	; ID of the markers and regions list
	ciMarkersAndRegionsListCID = 20,
	; The peak info in the normalize dialog
	ciNormalizePeaksCID = 205,
	; Status bar
	ciStatusBarForge90CID = 24,
	ciStatusBarForge10CID = 42,
	ciStatusBarForge11CID = 42,

	; The ID of the window including graphical buttons in the plug-in dialogs
	ciPluginGraphicalButtons1 = 203,
	; In SF 10.02 another window appears in the plug-in chainer
	ciPluginGraphicalButtons2 = 218,

	; Name of application executable
	csForge90 = "Forge90.exe",
	csForge100 = "Forge100.exe",
	csForge110 = "Forge110.exe",

	; Background colors of the channel numbers in the data window
	csSelChannelColors = "11608610|11608610|9642673|9642673|2267825|2267825|2732322|2732322|11635746|11635746|11608674|11608674|2240689|2240689|2273669|2273669|6926626|6926626|11619362|11619362|11608739|11608739|2257073|2257073|2273605|2273605|11186466|11186466|11608631|11608631|8331953|8331953",
	csUnSelChannelColors = "14378084|14378084|12805339|12805339|6605275|6605275|6937444|6937444|14400868|14400868|14378137|14378137|6582491|6582491|6609847|6609847|10476388|10476388|14387044|14387044|14378190|14378190|6596059|6596059|6609793|6609793|14015332|14015332|14378101|14378101|11625691|11625691"

globals
	; Used to hold graphics icons
	string gsGraphicsList,
	; Used to speak selection of data
	string gsSelectionStart,
	string gsSelectionEnd,
	; Used to restrict the development information to the program-start
	int bHasRunBefore,
	; Set to TRUE if the marker information needs to be updated
	int bUpdateMarkers,
	; Used to store a window handle between function calls
	handle gHwnd,
	; Used to store timer data
	string gsTimers,
	; Used for special buttons 
	string gsButtonValue,
	; Holds the peak meter values
	string gsPeakMeters,
	; Holds the channel info
	string gsChannelInfo,
	; Holds the marker information
	string gsMarkers,
	string gsTmp,
	; Holds info about the marker representation in Braille
	string gsBrailleMarkersLine,
	; The dots of the braille cursor
	string gsBrailleCursorDots,
	; Holds the track information
	string gsTracks,
	; Holds info about the tracks representation in Braille
	string gsBrailleTracksLine,
	; Holds the current state, used to know what to show in Braille
	int giMode,
	; ID of the timer
	int giTimer,
	; True the license is OK
	int gbChecked,
	; TRUE if clipping alarm is on
	int giClipping,
	; These are used in the automatic loop playback functions
	int giTrim, int giTrimID, int gbClosed,
	; TRUE if an info message is shown
	int giInfo,
	int gbRecording,
	int giIndex,

	; Those variables get their values from the .ini file
	; TRUE if debug is on
	int giDebug,
	; How long should the flash messages be shown
	int giFlashMessageDuration,
	; Pixel possitions of the left border of the buttons in the record dialog
	string gsRecButtonPixels,
	; Offsets for Braille CustomControlBase
	string gsCustomControlBase




