Use "ForgeLib.jsb"
Include "HjConst.jsh"
Include "forge.jsm"
include "forge.jsh"

; Speak which channel is active
Script SayChannels ()
	var string sActive, int iTot
	; Get an array with active channels
	let sActive = GetActiveChannels (gsChannelInfo)

	; Total no of channels
	let iTot = GetNumberOfChannels ()
	if (StringSegmentCount (sActive,",") == iTot) then
		; All channels active
		SayMessage (OT_JAWS_MESSAGE,FormatString (msgChannelsInfo,IntToString (iTot),msgAllChannelsActive),"")
	else
		SayMessage (OT_JAWS_MESSAGE,FormatString(msgChannelsInfo,IntToString(iTot),sActive),"")
	EndIf
EndScript

; Speak the total time
Script SpeakTotalTime ()
	var string sTotaltime
	let sTotalTime = ParseTimeString(GetTotalTime ())
	SayMessage (OT_JAWS_MESSAGE,msgTotalTime+sTotalTime)
EndScript

; Speak the selection start time
Script SpeakSelectionStart ()
	var string sCurTime
	if (not IsDataSelected ()) then
		SayMessage(OT_JAWS_MESSAGE,msgNoDataSelected,msgNoDataSelected)
		return
	EndIf
	let sCurTime = ParseTimeString(GetSelectionStart ())
	SayMessage(OT_JAWS_MESSAGE,sCurTime,sCurTime)
EndScript

Script SpeakCurrentTime ()
	var string sCurTime
	let sCurTime = ParseTimeString(GetSelectionStart ())
	SayMessage(OT_JAWS_MESSAGE,sCurTime,sCurTime)
EndScript

Script SayMode ()
	if (giMode == TIME) then
		SayMessage(OT_JAWS_MESSAGE,msgTimeMode,msgTimeMode)
	ElIf (giMode == PEAK) then
		SayMessage(OT_JAWS_MESSAGE,msgPeakMode,msgPeakMode)
	ElIf (giMode == MARKERS) then
		SayMessage(OT_JAWS_MESSAGE,msgMarkersMode,msgMarkersMode)
	else
		SayMessage(OT_JAWS_MESSAGE,msgTracksMode,msgTracksMode)
	EndIf
EndScript


Script SpeakSelectionStartAndEnd()
	var string sStart, string sEnd
	if (IsDataSelected()) then
		let gsTimers = GetTimers ()
		let sStart = ParseTimeString(GetSelectionStart ())
		let sEnd = ParseTimeString(GetSelectionEnd ())
		SayMessage(OT_JAWS_MESSAGE,msgSelectedFrom+" "+sStart+" "+msgSelectedTo+sEnd,msgSelectedFrom+" "+sStart+" "+msgSelectedTo+sEnd)
	else
		SayMessage(OT_JAWS_MESSAGE,msgNoDataSelected,msgNoDataSelected)
	EndIf
EndScript


Script SayNormalizeScanLevel ()
	var handle hWnd, string sText, string sPeak, string sRMS
	let hWnd = GetRealWindow(GetFocus ())
	if (not StringContains(GetWindowName(hWnd),scNormalizeTitle)) then
		SayString(msgCommandNotValid)
		return
	EndIf
	let hWnd = FindDescendantWindow(hWnd,ciNormalizePeaksCID)
	let sText = GetTextInWindow (hWnd)
	let sPeak = StringSegment(sText,"\n",1)
	let sRMS = StringSegment(sText,"\n",2)
	if (sPeak != "--") then
		SayString(msgPeak+sPeak)
	EndIf
	if (sRMS != "--") then
		SayString("RMS "+sRMS)
	EndIf
EndScript



void Function SayActiveChannels ()
	var string sActive, int iNoOfChannels, int iIndex
	; Get an array of active channels
	let sActive = GetActiveChannels (gsChannelInfo)
	; Total no of channels
	let iNoOfChannels = GetNumberOfChannels ()
	iIndex = 1
	if (iNoOfChannels == StringSegmentCount (sActive,",")) then
		; All channels are active
		SayMessage (OT_JAWS_MESSAGE,msgAllChannelsActive,"")
	else
		SayMessage (OT_JAWS_MESSAGE, FormatString(msgNOChannelActive,sActive),"")
	EndIf
EndFunction

Script SpeakTrackInfo ()
	var string sTime,  string sTrack, string sTrackNO, string sTrackStart, string sTrackEnd,
	int iIndex, int bFound
	let sTime = GetSelectionStart ()
	let iIndex = 1
	while ((not bFound) && StringSegment(gsTracks,"|",iIndex))
		let sTrack = StringSegment(gsTracks,"|",iIndex)
		if (StringSegment(sTrack,"#",2) == sTime) then
			let bFound = TRUE
		EndIf
		let iIndex = iIndex + 1
	EndWhile
	if (bFound) then
		let sTrackNO = StringSegment(sTrack,"#",1)
		let sTrackStart = StringSegment(sTrack,"#",2)
		let sTrackEnd = StringSegment(sTrack,"#",3)
		SayMessage(OT_JAWS_MESSAGE,msgTrack + " " + sTrackNO + " " + ParseTimeString(sTrackStart) + " " + ParseTimeString(sTrackEnd))
;		let gsInfo = sTrackNO + " " + sTrackStart + " " + sTrackEnd
		let giInfo = TRUE
	Else
		SayMessage (OT_JAWS_MESSAGE,msgNoTrack,msgNoTrack)
	EndIf
EndScript


